Bug 15833 - Makefile and EXTRADRIVERS=mbox
Summary: Makefile and EXTRADRIVERS=mbox
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: imap   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-09 14:45 UTC by mal
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 11:24:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mal 2000-08-09 14:45:36 UTC
The patch
/usr/src/redhat/SOURCES/imap-4.7c2-redhat.patch
removed EXTRADRIVERS=mbox from
file imap-4.7c/src/osdep/unix/Makefile 
but does not remove EXTRADRIVERS=mbox from
imap-4.7c/Makefile
It probably should remove EXTRADRIVERS=mbox
from imap-4.7c/Makefile also.

Comment 1 Nalin Dahyabhai 2000-08-09 15:47:15 UTC
Fixed in imap-4.7c2-9.  Thanks!

Comment 2 Patrick C. F. Ernzer 2002-02-07 11:37:46 UTC
this is broken again in imap-2001a-5. (main Makefile is not patched) Why was the
patch for the main Makefile removed?

Comment 3 Mike A. Harris 2002-02-13 20:42:33 UTC
imap-2001a-mbox-disable.patch

--- src/osdep/unix/Makefile.mbox-disable-patch  Tue Nov 20 05:50:29 2001
+++ src/osdep/unix/Makefile     Tue Nov 20 05:52:56 2001
@@ -21,7 +21,7 @@
 # Command line build parameters
 
 EXTRAAUTHENTICATORS=
-EXTRADRIVERS=mbox
+EXTRADRIVERS=
 PASSWDTYPE=std
 SSLTYPE=none


Patch3: imap-2001a-mbox-disable.patch                                          
                                                                               
                                     
%patch3 -p0 -b .mbox-disable-patch                                             
                                                                               
                                     


I don't see what's missing from the package.  mbox is still disabled,
unless you're implying it shouldn't be.



Comment 4 Patrick C. F. Ernzer 2002-03-07 11:24:07 UTC
as the original report said, the main Makefile needs patching as well.

diff -uNr imap-2001a/Makefile imap-2001a-patched/Makefile
--- imap-2001a/Makefile Tue Oct 23 05:46:33 2001
+++ imap-2001a-patched/Makefile Thu Feb  7 11:21:16 2002
@@ -128,7 +128,7 @@
 # mbox if file "mbox" exists on the home directory, automatically moves mail
 #       from the spool directory to "mbox" and uses "mbox" as INBOX.
 
-EXTRADRIVERS=mbox
+#EXTRADRIVERS=mbox
 
 
 # Plaintext password type.  Defines how plaintext password authentication is


Comment 5 Mike A. Harris 2002-04-18 01:38:31 UTC
Fixed in imap-2001a-10 in rawhide.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.